--沙盘模拟新建表T_EB_ANALYSISCANVAS_COLLE、T_EB_ANALYSISCANVAS_CATE、T_EB_ANALYSISCANVAS_CATE_L、T_EB_ANALYSISCANVAS_SHARE
/**BEGIN  **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_ANALYSISCANVAS_COLLE') 
CREATE TABLE T_EB_ANALYSISCANVAS_COLLE
(
    FID           BIGINT DEFAULT 0 NOT NULL,
    FCANVASID     BIGINT DEFAULT 0 NOT NULL,
    FCATEID       BIGINT DEFAULT 0 NOT NULL,
	FCREATOR      BIGINT DEFAULT 0 NOT NULL,
	FCREATEDATE   DATETIME
);
-- 主键,最大长度27
EXEC P_ALTERPK 'PK_EB_ANALYSISCANVAS_COLLE', 'T_EB_ANALYSISCANVAS_COLLE', 'FID', '1';
-- 索引,最大长度30
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_ANALYSISCOLLECT_CVS')
CREATE INDEX IDX_EB_ANALYSISCOLLECT_CVS ON T_EB_ANALYSISCANVAS_COLLE ( FCANVASID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_ANALYSISCOLLECT_CATE')
CREATE INDEX IDX_EB_ANALYSISCOLLECT_CATE ON T_EB_ANALYSISCANVAS_COLLE ( FCATEID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_ANALYSISCOLLECT_CRT')
CREATE INDEX IDX_EB_ANALYSISCOLLECT_CRT ON T_EB_ANALYSISCANVAS_COLLE ( FCREATOR );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_ANALYSISCANVAS_CATE') 
CREATE TABLE T_EB_ANALYSISCANVAS_CATE
(
    FID              BIGINT DEFAULT 0 NOT NULL,
    FNUMBER          NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FSEQUENCE        BIGINT DEFAULT 0 NOT NULL,
    FPARENTID        BIGINT DEFAULT 0 NOT NULL,
    FCREATORID       BIGINT DEFAULT 0 NOT NULL,
	FCREATEDATE      DATETIME
);
-- 主键,最大长度27
EXEC P_ALTERPK 'PK_EB_ANALYSISCANVAS_CATE', 'T_EB_ANALYSISCANVAS_CATE', 'FID', '1';
-- 索引,最大长度30
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_ANALYSISCATE_CRTID')
CREATE INDEX IDX_EB_ANALYSISCATE_CRTID ON T_EB_ANALYSISCANVAS_CATE ( FCREATORID );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_ANALYSISCANVAS_CATE_L')
CREATE TABLE T_EB_ANALYSISCANVAS_CATE_L
(
    FPKID        NVARCHAR(36)  DEFAULT ' ' NOT NULL,
    FID          BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID    NVARCHAR(10)  DEFAULT ' ' NOT NULL,
    FNAME        NVARCHAR(50)  DEFAULT ' ' NOT NULL
);
-- 主键
EXEC P_ALTERPK 'PK_EB_ANALYSISCANVAS_CATE_L', 'T_EB_ANALYSISCANVAS_CATE_L', 'FPKID', '1';


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_ANALYSISCANVAS_SHARE') 
CREATE TABLE T_EB_ANALYSISCANVAS_SHARE
(
    FID            BIGINT DEFAULT 0 NOT NULL,
    FCANVASID      BIGINT DEFAULT 0 NOT NULL,
    FSHARERS       BIGINT DEFAULT 0 NOT NULL,
    FRECEIVER      BIGINT DEFAULT 0 NOT NULL,
    FLOOK          NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FSHAREDATE     DATETIME,
    FCREATERID     BIGINT DEFAULT 0 NOT NULL,
	FCREATEDATE    DATETIME
);
-- 主键
EXEC P_ALTERPK 'PK_EB_ANALYSISCANVAS_SHARE', 'T_EB_ANALYSISCANVAS_SHARE', 'FID', '1';
-- 索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_ANALYSISSHARE_CVS')
CREATE INDEX IDX_EB_ANALYSISSHARE_CVS ON T_EB_ANALYSISCANVAS_SHARE ( FCANVASID );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_ANALYSISSHARE_SHS')
CREATE INDEX IDX_EB_ANALYSISSHARE_SHS ON T_EB_ANALYSISCANVAS_SHARE ( FSHARERS );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_ANALYSISSHARE_RCV')
CREATE INDEX IDX_EB_ANALYSISSHARE_RCV ON T_EB_ANALYSISCANVAS_SHARE ( FRECEIVER );


/**END **/