/**BEGIN  **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_ANALYSISCANVAS_SHREL')
CREATE TABLE T_EB_ANALYSISCANVAS_SHREL
(
    FID            BIGINT DEFAULT 0 NOT NULL,
    FCANVASID      BIGINT DEFAULT 0 NOT NULL,
    FANCESTOR       BIGINT DEFAULT 0 NOT NULL,
    FDESCENDANT     BIGINT DEFAULT 0 NOT NULL,
    FDISTANCE     BIGINT DEFAULT 0 NOT NULL
);
-- 主键
EXEC P_ALTERPK 'PK_EB_ANALYSISCANVAS_SR', 'T_EB_ANALYSISCANVAS_SHREL', 'FID', '1';
-- 索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_ANALYSICMP_SR')
CREATE INDEX IDX_EB_ANALYSICMP_SR ON T_EB_ANALYSISCANVAS_SHREL ( FCANVASID );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_ANALYSICMP_SRA')
CREATE INDEX IDX_EB_ANALYSICMP_SRA ON T_EB_ANALYSISCANVAS_SHREL ( FANCESTOR );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_ANALYSICMP_SRD')
CREATE INDEX IDX_EB_ANALYSICMP_SRD ON T_EB_ANALYSISCANVAS_SHREL ( FDESCENDANT );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_ANALYSISCANVAS_SHARE' AND KSQL_COL_NAME IN ('FSTATUS'))
ALTER TABLE T_EB_ANALYSISCANVAS_SHARE ADD (FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_ANALYSISCANVAS_SHARE' AND KSQL_COL_NAME IN ('FREASON'))
ALTER TABLE T_EB_ANALYSISCANVAS_SHARE ADD (FREASON VARCHAR(100) DEFAULT ' ' NOT NULL);

/**END **/