/*==============================================================*/
/* Table: t_eb_bailorg_entity   委托关系主表                                  */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_BAILORG_ENTITY') 
CREATE TABLE T_EB_BAILORG_ENTITY (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FMODELID             BIGINT               NOT NULL DEFAULT 0,
   FENTITYID            BIGINT               NOT NULL DEFAULT 0,
   FORGVIEWID           BIGINT               NOT NULL DEFAULT 0,
   FMODIFYDATE          DATETIME             ,
   FMODIFIER    		BIGINT               NOT NULL DEFAULT 0
);

 EXEC P_ALTERPK 'PK_EB_BAILORG_ENTITY', 'T_EB_BAILORG_ENTITY', 'FID', '1';

/*==============================================================*/
/* 体系索引 Index: IDX_EB_BAILORG_ENTITY_P1                                    */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_BAILORG_ENTITY_P1')
CREATE INDEX IDX_EB_BAILORG_ENTITY_P1 ON T_EB_BAILORG_ENTITY (
FMODELID ASC
);

/*==============================================================*/
/* 体系视图索引 Index: IDX_EB_BAILORG_ENTITY_P2                                    */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_BAILORG_ENTITY_P2')
CREATE INDEX IDX_EB_BAILORG_ENTITY_P2 ON T_EB_BAILORG_ENTITY (
FMODELID,FORGVIEWID ASC
);

/*==============================================================*/
/* Table: t_eb_bailorg          委托关系子表                            */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_BAILORG') 
CREATE TABLE T_EB_BAILORG (
   FENTRYID             BIGINT               NOT NULL DEFAULT 0,
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FSEQ                 BIGINT               NOT NULL DEFAULT 0,
   FBAILORGID           BIGINT               NOT NULL DEFAULT 0,
   FDEFAULT    			CHAR(1)              DEFAULT '0' NOT NULL
);

 EXEC P_ALTERPK 'PK_EB_BAILORG', 'T_EB_BAILORG', 'FENTRYID', '1';

/*==============================================================*/
/* Index: IDX_EB_BAILORG_P1                                    */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_BAILORG_P1')
CREATE INDEX IDX_EB_BAILORG_P1 ON T_EB_BAILORG (
FBAILORGID ASC
);


