/*==============================================================*/
/* Table: t_eb_approvaltypeentity       审批类型实体类表           */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_APPROVALTYPEENTITY')
CREATE TABLE T_EB_APPROVALTYPEENTITY (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FNUMBER              NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FMODELID             BIGINT               NOT NULL DEFAULT 0,
   FBIZMODELID          BIGINT               NOT NULL DEFAULT 0,
   FAUDITTYPE           CHAR(1)              NOT NULL DEFAULT '0',
   FSTATUS              CHAR(1)              NOT NULL DEFAULT '1',
   FDESC                NVARCHAR(750)        NOT NULL DEFAULT ' ',
   FCREATERID           BIGINT               NOT NULL DEFAULT 0,
   FCREATEDATE          DATETIME,
   FMODIFIERID          BIGINT               NOT NULL DEFAULT 0,
   FMODIFYDATE          DATETIME
);

 EXEC P_ALTERPK 'PK_EB_APPROVALTYPEENTITY', 'T_EB_APPROVALTYPEENTITY', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_APPROVALTYPEENTITY_P1                          */
/* Index: IDX_EB_APPROVALTYPEENTITY_P2                          */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPROVALTYPEENTITY_P1')
CREATE INDEX IDX_EB_APPROVALTYPEENTITY_P1 ON T_EB_APPROVALTYPEENTITY ( FMODELID );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPROVALTYPEENTITY_P2')
CREATE INDEX IDX_EB_APPROVALTYPEENTITY_P2 ON T_EB_APPROVALTYPEENTITY ( FBIZMODELID );


/*==============================================================*/
/* Table: t_eb_approvaltypeentry      审批类型单据体表             */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_APPROVALTYPEENTRY')
CREATE TABLE T_EB_APPROVALTYPEENTRY (
   FENTRYID             BIGINT               NOT NULL DEFAULT 0,
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FSEQ                 INT                  NOT NULL DEFAULT 0,
   FTEMPLATEID          BIGINT               NOT NULL DEFAULT 0,
   FENTITYID            BIGINT               NOT NULL DEFAULT 0,
   FENTITYRANGE         NVARCHAR(5)          NOT NULL DEFAULT '10'
);

 EXEC P_ALTERPK 'PK_EB_APPROVALTYPEENTRY', 'T_EB_APPROVALTYPEENTRY', 'FENTRYID', '1';

/*==============================================================*/
/* Index: IDX_EB_APPROVALTYPEENTRY_P1                           */
/* Index: IDX_EB_APPROVALTYPEENTRY_P2                           */
/* Index: IDX_EB_APPROVALTYPEENTRY_P3                           */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPROVALTYPEENTRY_P1')
CREATE INDEX IDX_EB_APPROVALTYPEENTRY_P1 ON T_EB_APPROVALTYPEENTRY ( FID );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPROVALTYPEENTRY_P2')
CREATE INDEX IDX_EB_APPROVALTYPEENTRY_P2 ON T_EB_APPROVALTYPEENTRY ( FTEMPLATEID );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPROVALTYPEENTRY_P3')
CREATE INDEX IDX_EB_APPROVALTYPEENTRY_P3 ON T_EB_APPROVALTYPEENTRY ( FENTITYID );


/*==============================================================*/
/* Table: t_eb_approvaltypeentity_l      审批类型多语言表          */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_APPROVALTYPEENTITY_L')
CREATE TABLE T_EB_APPROVALTYPEENTITY_L (
   FPKID             	NVARCHAR(30)         NOT NULL DEFAULT ' ',
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FLOCALEID            NVARCHAR(20)         NOT NULL DEFAULT ' ',
   FNAME                NVARCHAR(100)        NOT NULL DEFAULT ' '
);

 EXEC P_ALTERPK 'PK_EB_APPROVALTYPEENTITY_L', 'T_EB_APPROVALTYPEENTITY_L', 'FPKID', '1';

/*==============================================================*/
/* Index: IDX_EB_APPROVALTYPEENTITY_L                           */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPROVALTYPEENTITY_L')
CREATE INDEX IDX_EB_APPROVALTYPEENTITY_L ON T_EB_APPROVALTYPEENTITY_L ( FID );
