

/*==============================================================*/
/* Table: T_EB_APPROVEREJECTOPINION             驳回意见表      */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_APPROVEREJECTOPINION')
CREATE TABLE T_EB_APPROVEREJECTOPINION (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FPROCESSID           BIGINT               NOT NULL DEFAULT 0,
   FMUSTREJECT          CHAR(1)              NOT NULL DEFAULT '1',
   FOPINION             NVARCHAR(2000)       NOT NULL DEFAULT ' ',
   FAUDITNODE           NVARCHAR(100)        NOT NULL DEFAULT ' ',
   FREJECTSTATUS        CHAR(1)              NOT NULL DEFAULT '0',
   FDISCARD             CHAR(1)              NOT NULL DEFAULT '0',
   FREJECTNODE          NVARCHAR(100)        NOT NULL DEFAULT ' ',
   FISCURINSTANCE       CHAR(1)              NOT NULL DEFAULT '1',
   FREJECTUSER          BIGINT               NOT NULL DEFAULT 0,
   FREJECTTIME          DATETIME
);

 EXEC P_ALTERPK 'PK_EB_APPROVEREJECTOPINION', 'T_EB_APPROVEREJECTOPINION', 'FID', '1';
 
/*==============================================================*/
/* Index: IDX_EB_APPROVEREJECTOPINION                           */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPROVEREJECTOPINION')
CREATE INDEX IDX_EB_APPROVEREJECTOPINION ON T_EB_APPROVEREJECTOPINION ( FPROCESSID );



/*==============================================================*/
/* Table: T_EB_APPROVEREJECTSTATUS             驳回状态表       */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_APPROVEREJECTSTATUS')
CREATE TABLE T_EB_APPROVEREJECTSTATUS (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FAPPROVEBILLID       BIGINT               NOT NULL DEFAULT 0,
   FPROCESSID           BIGINT               NOT NULL DEFAULT 0,
   FISREJECT            CHAR(1)              NOT NULL DEFAULT '1',
   FREJECTUSER          BIGINT               NOT NULL DEFAULT 0,
   FREJECTTIME          DATETIME
);

 EXEC P_ALTERPK 'PK_EB_APPROVEREJECTSTATUS', 'T_EB_APPROVEREJECTSTATUS', 'FID', '1';
 
/*==============================================================*/
/* Index: IDX_EB_APPROVEREJECTOPINION                           */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPROVEREJECTSTATUS')
CREATE INDEX IDX_EB_APPROVEREJECTSTATUS ON T_EB_APPROVEREJECTSTATUS ( FAPPROVEBILLID );

