
-- 数据下达方案表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_DATARELEASESCHMEME') 
CREATE TABLE T_EB_DATARELEASESCHMEME (
	FID                  BIGINT               NOT NULL DEFAULT 0,
	FNUMBER    NVARCHAR(50)          NOT NULL DEFAULT ' ',
	FNAME    NVARCHAR(50)          NOT NULL DEFAULT ' ',
	FSRCMODEL                  BIGINT               NOT NULL DEFAULT 0,
	FSRCBIZMODEL                  BIGINT               NOT NULL DEFAULT 0,
	FSTATUS char(1) NOT NULL DEFAULT '0',
	FMODIFYDATE    		DATETIME,
	FMODIFIER                  BIGINT               NOT NULL DEFAULT 0,
	FCREATER                  BIGINT               NOT NULL DEFAULT 0,
	FCREATEDATE    		DATETIME,
	FSRCORGVIEW                  BIGINT               NOT NULL DEFAULT 0
);
EXEC P_ALTERPK 'PK_EB_DATARELEASESCHMEME', 'T_EB_DATARELEASESCHMEME', 'FID', '1';

-- 数据下达方案多语言表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_DATARELEASESCHMEME_L') 
CREATE TABLE T_EB_DATARELEASESCHMEME_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(100) DEFAULT ' ' NOT NULL
);
EXEC P_ALTERPK 'PK_EB_DATARELEASESCHMEME_L', 'T_EB_DATARELEASESCHMEME_L', 'FPKID', '1';

-- 数据下达方案目标体系设置表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_DATARELEASE_SETTING') 
CREATE TABLE T_EB_DATARELEASE_SETTING (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ INT DEFAULT 0 NOT NULL,
	FTARMODEL BIGINT DEFAULT 0 NOT NULL,
	FTARBIZMODEL BIGINT DEFAULT 0 NOT NULL,
	FRECEIVEVERSION BIGINT DEFAULT 0 NOT NULL,
	FRECEIVEDATATYPE BIGINT DEFAULT 0 NOT NULL,
	FMSGRECEIVERS NCLOB,
	FTARORGVIEW BIGINT DEFAULT 0 NOT NULL
);
EXEC P_ALTERPK 'PK_EB_DATARELEASE_SETTING', 'T_EB_DATARELEASE_SETTING', 'FENTRYID', '1';

-- 数据下达方案映射表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_DATARELEASE_DIMMAP') 
CREATE TABLE T_EB_DATARELEASE_DIMMAP (
	FID BIGINT DEFAULT 0 NOT NULL,
	FSRCDIM BIGINT DEFAULT 0 NOT NULL,
	FTARDIM BIGINT DEFAULT 0 NOT NULL,
	FTARMEMBER BIGINT DEFAULT 0 NOT NULL,
	FMAPONLY char(1) NOT NULL DEFAULT '0',
	FMEMBERMAP BIGINT DEFAULT 0 NOT NULL,
	FTARMEMBERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FMEMBEREXCLUDE NCLOB
);
EXEC P_ALTERPK 'PK_EB_DATARELEASE_DIMMAP', 'T_EB_DATARELEASE_DIMMAP', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_DATARELEASEMP_DETAIL') 
CREATE TABLE T_EB_DATARELEASEMP_DETAIL (
	FPKID BIGINT               NOT NULL DEFAULT 0,
	FENTRYID BIGINT               NOT NULL DEFAULT 0,
	FBASEDATAID BIGINT               NOT NULL DEFAULT 0
);
EXEC P_ALTERPK 'PK_EB_DATARELEASEMP_DETAIL', 'T_EB_DATARELEASEMP_DETAIL', 'FPKID', '1';


-- 数据下达日志表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_DATARELEASE_LOG') 
CREATE TABLE T_EB_DATARELEASE_LOG (
	FID                  BIGINT               NOT NULL DEFAULT 0,
	FDECOMPOSESCHEME                  BIGINT               NOT NULL DEFAULT 0,
	FSTATUS    NVARCHAR(50)          NOT NULL DEFAULT ' ',
	FRELEASESCHEME                  BIGINT               NOT NULL DEFAULT 0,
	FCREATER                  BIGINT               NOT NULL DEFAULT 0,
	FCREATEDATE    		DATETIME
);
EXEC P_ALTERPK 'PK_EB_DATARELEASE_LOG', 'T_EB_DATARELEASE_LOG', 'FID', '1';

-- 建立索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_DATARELEASE_LOG_P1')
CREATE INDEX IDX_EB_DATARELEASE_LOG_P1 ON T_EB_DATARELEASE_LOG (
FDECOMPOSESCHEME ASC
);

-- 数据下达日志分录表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_DATARELEASE_LOGINFO') 
CREATE TABLE T_EB_DATARELEASE_LOGINFO (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ INT DEFAULT 0 NOT NULL,
	FTARMODEL BIGINT DEFAULT 0 NOT NULL,
	FTARBIZMODEL BIGINT DEFAULT 0 NOT NULL,
	FSOURCECOUNT BIGINT DEFAULT 0 NOT NULL,
	FSUCCESSCOUNT BIGINT DEFAULT 0 NOT NULL,
	FFAILEDCOUNT BIGINT DEFAULT 0 NOT NULL
);
EXEC P_ALTERPK 'PK_EB_DATARELEASE_LOGINFO', 'T_EB_DATARELEASE_LOGINFO', 'FENTRYID', '1';

-- 数据下达日志明细表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_DATARELEASE_DET_LOG') 
CREATE TABLE T_EB_DATARELEASE_DET_LOG (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FDATARELEASELOG                 BIGINT               NOT NULL DEFAULT 0,
   FADJUSTDECOMPOSE           BIGINT               NOT NULL DEFAULT 0,
   FSTATUS    NVARCHAR(50)          NOT NULL DEFAULT ' ',
   FMETRIC           BIGINT               NOT NULL DEFAULT 0,
   FADJUSTTRIAL    NVARCHAR(255)          NOT NULL DEFAULT ' ',
   FTARMODEL                  BIGINT               NOT NULL DEFAULT 0,
   FTARBIZMODEL                  BIGINT               NOT NULL DEFAULT 0
);

EXEC P_ALTERPK 'PK_EB_DATARELEASE_DET_LOG', 'T_EB_DATARELEASE_DET_LOG', 'FID', '1';

-- 建立索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_DATARELEASE_DET_LOG_P1')
CREATE INDEX IDX_EB_DATARELEASE_DET_LOG_P1 ON T_EB_DATARELEASE_DET_LOG (
FDATARELEASELOG,FTARMODEL,FTARBIZMODEL ASC
);

-- 分解方案增加下达状态、下达人、下达时间
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DECOMPOSE_SCHEME' AND KSQL_COL_NAME IN ('FRELEASESTATUS'))
ALTER TABLE T_EB_DECOMPOSE_SCHEME ADD (FRELEASESTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DECOMPOSE_SCHEME' AND KSQL_COL_NAME IN ('FRELEASEUSER'))
ALTER TABLE T_EB_DECOMPOSE_SCHEME ADD (FRELEASEUSER BIGINT DEFAULT 0 NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DECOMPOSE_SCHEME' AND KSQL_COL_NAME IN ('FRELEASEDATE'))
ALTER TABLE T_EB_DECOMPOSE_SCHEME ADD (FRELEASEDATE DATETIME);

-- 审批调整增加上传状态
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DECOMPOSEADJUSTSUB' AND KSQL_COL_NAME IN ('FUPLOADSTATUS'))
ALTER TABLE T_EB_DECOMPOSEADJUSTSUB ADD (FUPLOADSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL);