
/*==============================================================*/
/* Table: T_EB_CENTRALRELRANGE       归口管理范围     */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CENTRALRELRANGE')
CREATE TABLE T_EB_CENTRALRELRANGE (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FBIZMODEL            BIGINT               NOT NULL DEFAULT 0,
   FSTATUS              CHAR(1)              NOT NULL DEFAULT '1',
   FMODEL         		BIGINT       		 NOT NULL DEFAULT 0,
   FCREATEDATE          DATETIME,
   FMODIFYDATE          DATETIME
);

 EXEC P_ALTERPK 'PK_EB_CENTRALRELRANGE', 'T_EB_CENTRALRELRANGE', 'FID', '1';

 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CENTRALRANGEENTITY')
CREATE TABLE T_EB_CENTRALRANGEENTITY (
   FPKID                BIGINT               NOT NULL DEFAULT 0,
   FID            		BIGINT               NOT NULL DEFAULT 0,
   FBASEDATAID         	BIGINT       		 NOT NULL DEFAULT 0
);

 EXEC P_ALTERPK 'PK_EB_CENTRALRANGEENTITY', 'T_EB_CENTRALRANGEENTITY', 'FPKID', '1';
 

 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CENTRALRELSCHEME')
CREATE TABLE T_EB_CENTRALRELSCHEME (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FNUMBER            	NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FNAME              	NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FCENTRALRANGE        BIGINT       		 NOT NULL DEFAULT 0,
   FCREATEDATE          DATETIME,
   FMODIFYDATE          DATETIME,
   FENTITY				BIGINT				 NOT NULL DEFAULT 0
);

 EXEC P_ALTERPK 'PK_EB_CENTRALRELSCHEME', 'T_EB_CENTRALRELSCHEME', 'FID', '1';

  IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CENTRALDIMSETTING')
CREATE TABLE T_EB_CENTRALDIMSETTING (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FENTRYID             BIGINT               NOT NULL DEFAULT 0,
   FSEQ                 INT                  NOT NULL DEFAULT 0,
   FDIMENSION           BIGINT       		 NOT NULL DEFAULT 0,
   FDIMENSIONVIEW       BIGINT       		 NOT NULL DEFAULT 0
);

 EXEC P_ALTERPK 'PK_EB_CENTRALDIMSETTING', 'T_EB_CENTRALDIMSETTING', 'FENTRYID', '1';


-- 归口关系
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CENTRALRELATION')
CREATE TABLE T_EB_CENTRALRELATION (
    FID                  BIGINT           NOT NULL DEFAULT 0,
    FSCHEMEID            BIGINT           NOT NULL DEFAULT 0,
    FENTITYID            BIGINT           NOT NULL DEFAULT 0,
    FENTRYSEQ            INT              NOT NULL DEFAULT 0,
    FMEMINFOJSON         NCLOB,
    FSTATUS              CHAR(1)          NOT NULL DEFAULT '1',
    FENABLEDATE          DATETIME,
    FDISABLEDATE         DATETIME,
    FMODIFIER            BIGINT           NOT NULL DEFAULT 0,
    FMODIFYDATE          DATETIME
);

 EXEC P_ALTERPK 'PK_EB_CENTRALRELATION', 'T_EB_CENTRALRELATION', 'FID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_CENTRALRELATION')
CREATE INDEX IDX_EB_CENTRALRELATION ON T_EB_CENTRALRELATION (FSCHEMEID);

-- 归口关系快照
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CENTRALRELATION_SHOT')
CREATE TABLE T_EB_CENTRALRELATION_SHOT (
    FID                  BIGINT           NOT NULL DEFAULT 0,
    FSHOTHASHCODE        INT              NOT NULL DEFAULT 0,
    FSCHEMEID            BIGINT           NOT NULL DEFAULT 0,
    FENTITYID            BIGINT           NOT NULL DEFAULT 0,
    FENTRYSEQ            INT              NOT NULL DEFAULT 0,
    FMEMINFOJSON         NCLOB
);
 
 EXEC P_ALTERPK 'PK_EB_CENTRALRELATION_SHOT', 'T_EB_CENTRALRELATION_SHOT', 'FID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_CENTRALRELATION_SHOT_1')
CREATE INDEX IDX_EB_CENTRALRELATION_SHOT_1 ON T_EB_CENTRALRELATION_SHOT (FSCHEMEID);

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_CENTRALRELATION_SHOT_2')
CREATE INDEX IDX_EB_CENTRALRELATION_SHOT_2 ON T_EB_CENTRALRELATION_SHOT (FSHOTHASHCODE);    


-- 归口关系快照hash关联表
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CENTRALRELSHOTREL')
CREATE TABLE T_EB_CENTRALRELSHOTREL (
    FID                  BIGINT           NOT NULL DEFAULT 0,
    FSUBAPPROVEBILL      BIGINT           NOT NULL DEFAULT 0,
    FSHOTHASHCODE        INT              NOT NULL DEFAULT 0,
    FCREATER             BIGINT           NOT NULL DEFAULT 0,
    FCREATEDATE          DATETIME
);

 EXEC P_ALTERPK 'PK_EB_CENTRALRELSHOTREL', 'T_EB_CENTRALRELSHOTREL', 'FID', '1';

