-- 控制单据检查主表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CONTROLBILLCHECK')
CREATE TABLE T_EB_CONTROLBILLCHECK (
	FID				BIGINT 			NOT NULL DEFAULT 0,
	FAPPLICATION 	BIGINT 			NOT NULL DEFAULT 0,
	FBILL			BIGINT 			NOT NULL DEFAULT 0,
	FNUMBER 		NVARCHAR(50)    NOT NULL DEFAULT ' ',
	FSTATUS 		CHAR(1)			NOT NULL DEFAULT '1',
	FNAME 			NVARCHAR(50)    NOT NULL DEFAULT ' ',
	FDESCRIPTION 	NVARCHAR(200)   NOT NULL DEFAULT ' ',
	FCONDITION 		NVARCHAR(2000)  NOT NULL DEFAULT ' ',
	FCREATER 		BIGINT 			NOT NULL DEFAULT 0,
	FCREATEDATE 	DATETIME        NULL,
	FMODIFIER 		BIGINT 			NOT NULL DEFAULT 0,
	FMODIFYDATE 	DATETIME 		NULL,
	FTIMEDVALUE 	INTEGER         NOT NULL DEFAULT 300,
	FTIMEFIELD 		BIGINT 			NOT NULL DEFAULT 0,
	FOPERATORFIELD 	BIGINT 			NOT NULL DEFAULT 0	
);
EXEC P_ALTERPK 'PK_EB_CONTROLBILLCHECK', 'T_EB_CONTROLBILLCHECK', 'FID', '1';

-- 控制单据检查多语言表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CONTROLBILLCHECK_L')
CREATE TABLE T_EB_CONTROLBILLCHECK_L (
	FPKID 			NVARCHAR(36)    NOT NULL DEFAULT ' ',
	FID 			BIGINT 			NOT NULL DEFAULT 0,
	FLOCALEID 		NVARCHAR(10)    NOT NULL DEFAULT ' ',
	FNAME 			NVARCHAR(50)    NOT NULL DEFAULT ' ',
	FDESCRIPTION 	NVARCHAR(200)   NOT NULL DEFAULT ' '	
);
EXEC P_ALTERPK 'PK_EB_CONTROLBILLCHECK_L', 'T_EB_CONTROLBILLCHECK_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_CONTROLBILLCHECK_L')
CREATE INDEX IDX_EB_CONTROLBILLCHECK_L ON T_EB_CONTROLBILLCHECK_L (FID,FLOCALEID);

-- 控制单据检查选择的操作
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CONTROLBILLCHKOP')
CREATE TABLE T_EB_CONTROLBILLCHKOP (
	FPKID 			BIGINT 			NOT NULL DEFAULT 0,
	FID 			BIGINT 			NOT NULL DEFAULT 0,
	FBASEDATAID 	BIGINT 			NOT NULL DEFAULT 0
	
);
EXEC P_ALTERPK 'PK_EB_CONTROLBILLCHKOP', 'T_EB_CONTROLBILLCHKOP', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_CONTROLBILLCHKOP_FK')
CREATE INDEX IDX_EB_CONTROLBILLCHKOP_FK ON T_EB_CONTROLBILLCHKOP (FID);