
-- 规则执行方案主表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_RULEEXECCASE')
CREATE TABLE T_EB_RULEEXECCASE (
	FID				BIGINT 			NOT NULL DEFAULT 0,
	FNUMBER 		NVARCHAR(255)   NOT NULL DEFAULT ' ',
	FNAME 			NVARCHAR(255)   NOT NULL DEFAULT ' ',
	FDESCRIPTION	NVARCHAR(2000)  NOT NULL DEFAULT ' ',
	FMODELID		BIGINT 			NOT NULL DEFAULT 0,
	FBIZMODELID		BIGINT 			NOT NULL DEFAULT 0,
	FDATASETID		BIGINT 			NOT NULL DEFAULT 0,
	FCREATORID		BIGINT 			NOT NULL DEFAULT 0,
	FMODIFIERID		BIGINT 			NOT NULL DEFAULT 0,
	FCREATETIME 	DATETIME        NULL,
	FMODIFYTIME 	DATETIME        NULL,
	FRULEUPDATETIME 	DATETIME        NULL,
	FTYPE			VARCHAR(10)  NOT NULL DEFAULT '1',
	FUPDATESTATUS	VARCHAR(10)  NOT NULL DEFAULT 'A',
	FCURRSTEP		VARCHAR(20)  NOT NULL DEFAULT ' ',
	FUPDATEDETAIL   NVARCHAR(200)  NOT NULL DEFAULT ' '
);
EXEC P_ALTERPK 'PK_EB_RULEEXECCASE', 'T_EB_RULEEXECCASE', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_RULEEXECCASE_1')
CREATE INDEX IDX_EB_RULEEXECCASE_1 ON T_EB_RULEEXECCASE (FMODELID);

-- 规则执行方案成员范围表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_RULEEXECCASE_RANGE')
CREATE TABLE T_EB_RULEEXECCASE_RANGE (
	FID				BIGINT 			NOT NULL DEFAULT 0,
	FENTRYID		BIGINT 			NOT NULL DEFAULT 0,
	FSEQ			INT 			NOT NULL DEFAULT 0,
	FDIMNAME 		NVARCHAR(255)    NOT NULL DEFAULT ' ',
	FDIMNUMBER 		NVARCHAR(255)    NOT NULL DEFAULT ' ',
	FMEMBERJSON		NCLOB
);

EXEC P_ALTERPK 'PK_EB_RULEEXECCASE_RANGE', 'T_EB_RULEEXECCASE_RANGE', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_RULEEXECCASE_RANGE_1')
CREATE INDEX IDX_EB_RULEEXECCASE_RANGE_1 ON T_EB_RULEEXECCASE_RANGE (FID);

-- 规则执行方案规则表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_RULEEXECCASE_RULE')
CREATE TABLE T_EB_RULEEXECCASE_RULE (
	FID				BIGINT 			NOT NULL DEFAULT 0,
	FENTRYID		BIGINT 			NOT NULL DEFAULT 0,
	FSEQ			INT 			NOT NULL DEFAULT 0,
	FRULEID			BIGINT 			NOT NULL DEFAULT 0,
	FRANGEJSON		NCLOB
);

EXEC P_ALTERPK 'PK_EB_RULEEXECCASE_RULE', 'T_EB_RULEEXECCASE_RULE', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_RULEEXECCASE_RULE_1')
CREATE INDEX IDX_EB_RULEEXECCASE_RULE_1 ON T_EB_RULEEXECCASE_RULE (FID);

-- 规则执行日志表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_RULEEXECCASELOG')
CREATE TABLE T_EB_RULEEXECCASELOG (
	FID				BIGINT 			NOT NULL DEFAULT 0,
	FEXECUTOR		BIGINT 			NOT NULL DEFAULT 0,
	FREPORTPROCESSID			BIGINT 			NOT NULL DEFAULT 0,
	FORDER			BIGINT 			NOT NULL DEFAULT 0,
	FQUEUEID		BIGINT 			NOT NULL DEFAULT 0,
	FMODELID		BIGINT 			NOT NULL DEFAULT 0,
	FMODIFIER		BIGINT 			NOT NULL DEFAULT 0,
	FCREATEDATE 	DATETIME        NULL,
	FENDDATE 		DATETIME        NULL,
	FTRACEID		VARCHAR(50)    NOT NULL DEFAULT ' ',
	FSTATUS 		VARCHAR(10)    NOT NULL DEFAULT '1',
	FTYPE 		    VARCHAR(10)    NOT NULL DEFAULT '0',
	FCASE 			NVARCHAR(1000)    NOT NULL DEFAULT ' ',
	FPROGRESS 		NVARCHAR(1000)    NOT NULL DEFAULT ' ',
	FTEMPLATE 		NVARCHAR(1000)    NOT NULL DEFAULT ' ',
	FEXECENTITY 	NVARCHAR(1000)    NOT NULL DEFAULT ' ',
	FMESSAGE 		NCLOB,
	FLOG 			NCLOB
);
EXEC P_ALTERPK 'PK_EB_RULEEXECCASELOG', 'T_EB_RULEEXECCASELOG', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_RULEEXECCASELOG_1')
CREATE INDEX IDX_EB_RULEEXECCASELOG_1 ON T_EB_RULEEXECCASELOG (FMODELID);

-- 规则执行日志明细表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_RULECASELOGDETAIL')
CREATE TABLE T_EB_RULECASELOGDETAIL (
	FID				BIGINT 			NOT NULL DEFAULT 0,
	FEXECSEQ		BIGINT 			NOT NULL DEFAULT 0,
	FMAINLOGID		BIGINT 			NOT NULL DEFAULT 0,
	FSTATUS 		VARCHAR(10)     NOT NULL DEFAULT '1',
	FTRACEID		VARCHAR(50)     NOT NULL DEFAULT ' ',
	FBIZRULE 		NVARCHAR(1000)  NOT NULL DEFAULT ' ',
	FCREATEDATE 	DATETIME        NULL,
	FMODIFYDATE 	DATETIME        NULL,
	FEXECRANGE 		NCLOB,
	FRESULT 		NCLOB,
	FDETAILLOG 		NCLOB
);
EXEC P_ALTERPK 'PK_EB_RULECASELOGDETAIL', 'T_EB_RULECASELOGDETAIL', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_RULECASELOGDETAIL_1')
CREATE INDEX IDX_EB_RULECASELOGDETAIL_1 ON T_EB_RULECASELOGDETAIL (FMAINLOGID);


