/*==============================================================*/
/* DBMS name:      Microsoft SQL Server 2008                    */
/* Created on:     2019/5/21 10:08:24                           */
/*==============================================================*/


/*==============================================================*/
/* Table: T_EB_AccountRang                                      */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_ACCOUNTRANG') 
CREATE TABLE T_EB_ACCOUNTRANG (
   FPKID                BIGINT               NOT NULL DEFAULT 0,
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FBASEDATAID          BIGINT               NOT NULL DEFAULT 0
);

 EXEC P_ALTERPK 'PK_T_EB_ACCOUNTRANG', 'T_EB_ACCOUNTRANG', 'FPKID', '1';

/*==============================================================*/
/* Index: IDX_EB_accountRang                                    */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_ACCOUNTRANG')
CREATE INDEX IDX_EB_ACCOUNTRANG ON T_EB_ACCOUNTRANG (
FBASEDATAID ASC
);

/*==============================================================*/
/* Table: T_EB_BgConBizRegDefault                               */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_BGCONBIZREGDEFAULT') 
CREATE TABLE T_EB_BGCONBIZREGDEFAULT (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FORGFIELD            BIGINT               NOT NULL DEFAULT 0,
   FBILL                BIGINT               NOT NULL DEFAULT 0,
   FPERIODFIELD         BIGINT               NOT NULL DEFAULT 0,
   FAPPLICATION         BIGINT               NOT NULL DEFAULT 0,
   FFIELDTABLE          NVARCHAR(50)         NOT NULL DEFAULT ' ',
   CONSTRAINT PK_T_EB_BGCONBIZREGDEFAULT PRIMARY KEY (FID)
);
 EXEC P_ALTERPK 'PK_T_EB_BGCONBIZREGDEFAULT', 'T_EB_BGCONBIZREGDEFAULT', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_bizregdef_ffieldtable                          */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_BIZREGDEF_FFIELDTABLE')
CREATE INDEX IDX_EB_BIZREGDEF_FFIELDTABLE ON T_EB_BGCONBIZREGDEFAULT (
FFIELDTABLE ASC
);

/*==============================================================*/
/* Table: T_EB_BgConProcessEntry                                */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_BGCONPROCESSENTRY') 
CREATE TABLE T_EB_BGCONPROCESSENTRY (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FENTRYID             BIGINT               NOT NULL DEFAULT 0,
   FSEQ                 INT                  NOT NULL DEFAULT 0,
   FBILL                BIGINT               NOT NULL DEFAULT 0,
   FAPPLICATION         BIGINT               NOT NULL DEFAULT 0,
   FTAKEOPERATION       NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FTAKEVALUE           NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FRUNOPERATION        NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FRUNVALUE            NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FRETURNOPERATION     NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FCLEAROPERATION      NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FTAKEOPERATIONCN     NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FTAKEVALUECN         NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FRUNOPERATIONCN      NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FRUNVALUECN          NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FRETURNOPERATIONCN   NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FCLEAROPERATIONCN    NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FISTHESAME           CHAR(1)              NOT NULL DEFAULT '1'
);
 EXEC P_ALTERPK 'PK_T_EB_BGCONPROCESSENTRY', 'T_EB_BGCONPROCESSENTRY', 'FENTRYID', '1';

/*==============================================================*/
/* Index: IDX_EB_conpro_BILL                                    */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_CONPRO_BILL')
CREATE INDEX IDX_EB_CONPRO_BILL ON T_EB_BGCONPROCESSENTRY (
FBILL ASC
);

/*==============================================================*/
/* Table: T_EB_BgControlBizReg                                  */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_BGCONTROLBIZREG') 
CREATE TABLE T_EB_BGCONTROLBIZREG (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FNUMBER              NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FFIELDALIAS          NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FBIZSYSTEMID         BIGINT               NOT NULL DEFAULT 0,
   FBIZSYSTEMALIAS      NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FBIZUNITID           BIGINT               NOT NULL DEFAULT 0,
   FBIZUNITALIAS        NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FFIELDTABLE          NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FTYPE                NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FTYPENAME            NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FISENTRYFIELD        CHAR(1)              NOT NULL DEFAULT '0',
   FISDEFAULT           CHAR(1)              NOT NULL DEFAULT '0',
   FISPREFAB            CHAR(1)              NOT NULL DEFAULT '0',
   FCREATORID           BIGINT               NOT NULL DEFAULT 0,
   FCREATETIME          DATETIME             ,
   FMODIFIERID          BIGINT               NOT NULL DEFAULT 0,
   FMODIFYTIME          DATETIME             ,
   FREFEREDSTATUS       CHAR(1)              NOT NULL DEFAULT '0'
);
 EXEC P_ALTERPK 'PK_T_EB_BGCONTROLBIZREG', 'T_EB_BGCONTROLBIZREG', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_BgControlBizReg_SU                             */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_BGCONTROLBIZREG_SU')
CREATE INDEX IDX_EB_BGCONTROLBIZREG_SU ON T_EB_BGCONTROLBIZREG (
FBIZSYSTEMID ASC,
FBIZUNITID ASC
);

/*==============================================================*/
/* Index: IDX_EB_BgControlBizReg_BILL                           */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_BGCONTROLBIZREG_BILL')
CREATE INDEX IDX_EB_BGCONTROLBIZREG_BILL ON T_EB_BGCONTROLBIZREG (
FFIELDTABLE ASC,
FISDEFAULT ASC
);

/*==============================================================*/
/* Table: T_EB_BgControlBizReg_l                                */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_BGCONTROLBIZREG_L') 
CREATE TABLE T_EB_BGCONTROLBIZREG_L (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FPKID                NVARCHAR(30)         NOT NULL DEFAULT ' ',
   FLOCALEID            NVARCHAR(10)         NOT NULL DEFAULT ' ',
   FNAME                NVARCHAR(100)        NOT NULL DEFAULT ' '
);
 EXEC P_ALTERPK 'PK_T_EB_BGCONTROLBIZREG_L', 'T_EB_BGCONTROLBIZREG_L', 'FPKID', '1';

/*==============================================================*/
/* Index: IDX_EB_BGCONTROLBIZREG_L_FID                          */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_BGCONTROLBIZREG_L_FID')
CREATE INDEX IDX_EB_BGCONTROLBIZREG_L_FID ON T_EB_BGCONTROLBIZREG_L (
FLOCALEID ASC
);

/*==============================================================*/
/* Table: T_EB_BgControlCourse                                  */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_BGCONTROLCOURSE') 
CREATE TABLE T_EB_BGCONTROLCOURSE (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FNAME                NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FNUMBER              NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FORGUNITID           BIGINT               NOT NULL DEFAULT 0,
   FCREATORID           BIGINT               NOT NULL DEFAULT 0,
   FCREATETIME          DATETIME             ,
   FLASTUPDATEUSERID    BIGINT               NOT NULL DEFAULT 0,
   FLASTUPDATETIME      DATETIME             
);
 EXEC P_ALTERPK 'PK_T_EB_BGCONTROLCOURSE', 'T_EB_BGCONTROLCOURSE', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_BgControlCourse                                */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_BGCONTROLCOURSE')
CREATE INDEX IDX_EB_BGCONTROLCOURSE ON T_EB_BGCONTROLCOURSE (
FORGUNITID ASC,
FNUMBER ASC
);

/*==============================================================*/
/* Table: T_EB_BgControlCourseEntry                             */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_BGCONTROLCOURSEENTRY') 
CREATE TABLE T_EB_BGCONTROLCOURSEENTRY (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FCOURSEID            BIGINT               NOT NULL DEFAULT 0,
   FENTITYNUMBER        NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FENTITYALIAS         NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FOCCUPATION          NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FOCCUPATIONALIAS     NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FOCCUPATIONVALUE     NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FEXECUTE             NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FEXECUTEALIAS        NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FEXECUTEVALUE        NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FRETURN              NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FRETURNALIAS         NVARCHAR(255)        NOT NULL DEFAULT ' '
);
 EXEC P_ALTERPK 'PK_T_EB_BGCONTROLCOURSEENTRY', 'T_EB_BGCONTROLCOURSEENTRY', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_BgControlCourseEntry                           */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_BGCONTROLCOURSEENTRY')
CREATE INDEX IDX_EB_BGCONTROLCOURSEENTRY ON T_EB_BGCONTROLCOURSEENTRY (
FCOURSEID ASC,
FENTITYNUMBER ASC
);

/*==============================================================*/
/* Table: T_EB_BgControlProcess                                 */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_BGCONTROLPROCESS') 
CREATE TABLE T_EB_BGCONTROLPROCESS (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FNAMBER              NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FNAME                NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FENABLE              CHAR(1)              NOT NULL DEFAULT '1',
   FORG                 NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FORG_TAG             NCLOB,
   FCREATOR             BIGINT               NOT NULL DEFAULT 0,
   FCREATETIME          DATETIME             ,
   FMODIFIER            BIGINT               NOT NULL DEFAULT 0,
   FMODIFIERTIME        DATETIME             
);
 EXEC P_ALTERPK 'PK_T_EB_BGCONTROLPROCESS', 'T_EB_BGCONTROLPROCESS', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_bgconprocess_fname                             */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_BGCONPROCESS_FNAME')
CREATE INDEX IDX_EB_BGCONPROCESS_FNAME ON T_EB_BGCONTROLPROCESS (
FNAME ASC
);

/*==============================================================*/
/* Table: T_EB_BgControlProcessOrg                              */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_BGCONTROLPROCESSORG') 
CREATE TABLE T_EB_BGCONTROLPROCESSORG (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FORG                 BIGINT               NOT NULL DEFAULT 0,
   FCONTROLPROCESS      BIGINT               NOT NULL DEFAULT 0
);
 EXEC P_ALTERPK 'PK_T_EB_BGCONTROLPROCESSORG', 'T_EB_BGCONTROLPROCESSORG', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_CONPROORG                                      */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_CONPROORG')
CREATE INDEX IDX_EB_CONPROORG ON T_EB_BGCONTROLPROCESSORG (
FORG ASC
);

/*==============================================================*/
/* Index: IDX_EB_CONPRO_SETTING                                 */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_CONPRO_SETTING')
CREATE INDEX IDX_EB_CONPRO_SETTING ON T_EB_BGCONTROLPROCESSORG (
FCONTROLPROCESS ASC
);

/*==============================================================*/
/* Table: T_EB_BgControlRecord                                  */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_BGCONTROLRECORD') 
CREATE TABLE T_EB_BGCONTROLRECORD (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FMODELID             BIGINT               NOT NULL DEFAULT 0,
   FENTITYNUMBER        NVARCHAR(80)         NOT NULL DEFAULT ' ',
   FBIZID               NVARCHAR(80)         NOT NULL DEFAULT ' ',
   FBIZNUMBER           NVARCHAR(80)         NOT NULL DEFAULT ' ',
   FOPERATION           NVARCHAR(80)         NOT NULL DEFAULT ' ',
   FREQORGUNITID        BIGINT               NOT NULL DEFAULT 0,
   FORGUNITID           BIGINT               NOT NULL DEFAULT 0,
   FREQACCOUNTID        BIGINT               NOT NULL DEFAULT 0,
   FACCOUNTID           BIGINT               NOT NULL DEFAULT 0,
   FYEARID              BIGINT               NOT NULL DEFAULT 0,
   FPERIODID            BIGINT               NOT NULL DEFAULT 0,
   FCURRENCYID          BIGINT               NOT NULL DEFAULT 0,
   FSCENARIOID          BIGINT               NOT NULL DEFAULT 0,
   FVERSIONID           BIGINT               NOT NULL DEFAULT 0,
   FPROJECTID           BIGINT               NOT NULL DEFAULT 0,
   FAUDITTRAILID        BIGINT               NOT NULL DEFAULT 0,
   FICID                BIGINT               NOT NULL DEFAULT 0,
   FCTID                BIGINT               NOT NULL DEFAULT 0,
   FDATATYPEID          BIGINT               NOT NULL DEFAULT 0,
   FPROCESSID           BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINEDID1      BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINEDID2      BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINEDID3      BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINEDID4      BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINEDID5      BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINEDID6      BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINEDID7      BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINEDID8      BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINEDID9      BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINEDID10     BIGINT               NOT NULL DEFAULT 0,
   FAMOUNT              DECIMAL(19,6)        NOT NULL DEFAULT 0,
   FCREATETIME          DATETIME             ,
   FCREATORID           BIGINT               NOT NULL DEFAULT 0,
   FRULEID              BIGINT               NOT NULL DEFAULT 0,
   FREFBIZID            NVARCHAR(80)         NOT NULL DEFAULT ' '
);
 EXEC P_ALTERPK 'PK_T_EB_BGCONTROLRECORD', 'T_EB_BGCONTROLRECORD', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_BgControlRecord                                */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_BGCONTROLRECORD')
CREATE INDEX IDX_EB_BGCONTROLRECORD ON T_EB_BGCONTROLRECORD (
FMODELID ASC,
FORGUNITID ASC,
FACCOUNTID ASC,
FYEARID ASC,
FPERIODID ASC
);

/*==============================================================*/
/* Index: IDX_EB_BgControlRecord_BizID                          */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_BGCONTROLRECORD_BIZID')
CREATE INDEX IDX_EB_BGCONTROLRECORD_BIZID ON T_EB_BGCONTROLRECORD (
FBIZID ASC
);

/*==============================================================*/
/* Index: IDX_EB_BgControlRecord_SetID                          */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_BGCONTROLRECORD_SETID')
CREATE INDEX IDX_EB_BGCONTROLRECORD_SETID ON T_EB_BGCONTROLRECORD (
FRULEID ASC
);


/*==============================================================*/
/* Table: T_EB_BgControlRule                                    */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_BGCONTROLRULE') 
CREATE TABLE T_EB_BGCONTROLRULE (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FNUMBER              NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FMODELID             BIGINT               NOT NULL DEFAULT 0,
   FORGUNITID           BIGINT               NOT NULL DEFAULT 0,
   FSCENARIOID          BIGINT               NOT NULL DEFAULT 0,
   FCOEFFICIENT         DECIMAL(23,10)       NOT NULL DEFAULT 0,
   FISBEYOND            CHAR(1)              NOT NULL DEFAULT '1',
   FRANGE               NVARCHAR(5)          NOT NULL DEFAULT ' ',
   FPERIODCLASSIFY      NVARCHAR(5)          NOT NULL DEFAULT ' ',
   FCONTROLTYPE         NVARCHAR(5)          NOT NULL DEFAULT ' ',
   FBEGINTIME           DATETIME             ,
   FENDTIME             DATETIME             ,
   FUSERDEFINEDID1      BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINEDID2      BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINEDID3      BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINEDID4      BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINEDID5      BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINEDID6      BIGINT               NOT NULL DEFAULT 0,
   FCREATORID           BIGINT               NOT NULL DEFAULT 0,
   FMODIFIERID          BIGINT               NOT NULL DEFAULT 0,
   FCREATETIME          DATETIME             ,
   FMODIFYTIME          DATETIME             ,
   FENABLE              CHAR(1)              NOT NULL DEFAULT '1',
   FACCOUNT             BIGINT               NOT NULL DEFAULT 0,
   FPROJECT             BIGINT               NOT NULL DEFAULT 0,
   FISCONTAINLEAF1      CHAR(1)              NOT NULL DEFAULT '0',
   FISCONTAINLEAF2      CHAR(1)              NOT NULL DEFAULT '0',
   FISCONTAINLEAF3      CHAR(1)              NOT NULL DEFAULT '0',
   FISCONTAINLEAF4      CHAR(1)              NOT NULL DEFAULT '0',
   FISCONTAINLEAF5      CHAR(1)              NOT NULL DEFAULT '0',
   FISCONTAINLEAF6      CHAR(1)              NOT NULL DEFAULT '0',
   FISCONTAINLEAF_Q     CHAR(1)              NOT NULL DEFAULT '0',
   FISCONTAINLEAF_P     CHAR(1)              NOT NULL DEFAULT '0'
);
 EXEC P_ALTERPK 'PK_T_EB_BGCONTROLRULE', 'T_EB_BGCONTROLRULE', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_BgControlRule                                  */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_BGCONTROLRULE')
CREATE INDEX IDX_EB_BGCONTROLRULE ON T_EB_BGCONTROLRULE (
FMODELID ASC,
FORGUNITID ASC,
FACCOUNT ASC,
FBEGINTIME ASC,
FENDTIME ASC
);

/*==============================================================*/
/* Table: T_EB_BgControlScheme                                  */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_BGCONTROLSCHEME') 
CREATE TABLE T_EB_BGCONTROLSCHEME (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FNAME                NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FNUMBER              NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FMODELID             BIGINT               NOT NULL DEFAULT 0,
   FORGUNITID           BIGINT               NOT NULL DEFAULT 0,
   FBIZSYSTEMID         BIGINT               NOT NULL DEFAULT 0,
   FBIZSYSTEMALIAS      NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FBIZUNITID           BIGINT               NOT NULL DEFAULT 0,
   FBIZUNITALIAS        NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FBEGINTIME           DATETIME             ,
   FENDTIME             DATETIME             ,
   FDISCRIPTION         NCLOB,
   FCREATEOR            BIGINT               NOT NULL DEFAULT 0,
   FCREATETIME          DATETIME             ,
   FLASTUPDATEUSERID    BIGINT               NOT NULL DEFAULT 0,
   FLASTUPDATETIME      DATETIME             
);
 EXEC P_ALTERPK 'PK_T_EB_BGCONTROLSCHEME', 'T_EB_BGCONTROLSCHEME', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_BgControlScheme                                */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_BGCONTROLSCHEME')
CREATE INDEX IDX_EB_BGCONTROLSCHEME ON T_EB_BGCONTROLSCHEME (
FMODELID ASC,
FBIZUNITID ASC,
FORGUNITID ASC,
FBEGINTIME ASC,
FENDTIME ASC
);

/*==============================================================*/
/* Table: T_EB_BgControlSchemeEntry                             */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_BGCONTROLSCHEMEENTRY') 
CREATE TABLE T_EB_BGCONTROLSCHEMEENTRY (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FSCHEMEID            BIGINT               NOT NULL DEFAULT 0,
   FORGUNIT             NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FORGUNITALIAS        NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FACCOUNT             NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FACCOUNTALIAS        NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FCURRENCY            NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FCURRENCYALIAS       NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FHASMAPPING          CHAR(1)              NOT NULL DEFAULT '0',
   FLIMIT               NCLOB
);
 EXEC P_ALTERPK 'PK_T_EB_BGCONTROLSCHEMEENTRY', 'T_EB_BGCONTROLSCHEMEENTRY', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_BgControlSchemeEntry                           */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_BGCONTROLSCHEMEENTRY')
CREATE INDEX IDX_EB_BGCONTROLSCHEMEENTRY ON T_EB_BGCONTROLSCHEMEENTRY (
FSCHEMEID ASC
);

/*==============================================================*/
/* Table: T_EB_ConBizRegData                                    */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CONBIZREGDATA') 
CREATE TABLE T_EB_CONBIZREGDATA (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FFIELDDIMENSION      NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FBILL                BIGINT               NOT NULL DEFAULT 0,
   FFIELDTABLE          NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FSEQUENCE            BIGINT               NOT NULL DEFAULT 0
);
 EXEC P_ALTERPK 'PK_T_EB_CONBIZREGDATA', 'T_EB_CONBIZREGDATA', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_conbizregdata_ID                               */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_CONBIZREGDATA_ID')
CREATE INDEX IDX_EB_CONBIZREGDATA_ID ON T_EB_CONBIZREGDATA (
FFIELDDIMENSION ASC,
FBILL ASC,
FFIELDTABLE ASC
);

/*==============================================================*/
/* Table: T_EB_ConBizRegEntity                                  */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CONBIZREGENTITY') 
CREATE TABLE T_EB_CONBIZREGENTITY (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FENTRYID             BIGINT               NOT NULL DEFAULT 0,
   FSEQ                 INT                  NOT NULL DEFAULT 0,
   FNUMBER              NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FNAME                NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FISPREFAB            CHAR(1)              NOT NULL DEFAULT '0'
);
 EXEC P_ALTERPK 'PK_T_EB_CONBIZREGENTITY', 'T_EB_CONBIZREGENTITY', 'FENTRYID', '1';

/*==============================================================*/
/* Index: IDX_EB_conbizregentity_ID                             */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_CONBIZREGENTITY_ID')
CREATE INDEX IDX_EB_CONBIZREGENTITY_ID ON T_EB_CONBIZREGENTITY (
FID ASC
);

/*==============================================================*/
/* Table: T_EB_ConProcessDataEntry                              */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CONPROCESSDATAENTRY') 
CREATE TABLE T_EB_CONPROCESSDATAENTRY (
   FENTRYID             BIGINT               NOT NULL DEFAULT 0,
   FSEQ                 INT                  NOT NULL DEFAULT 0,
   FBILLNAME            NVARCHAR(100)        NOT NULL DEFAULT ' ',
   FRETURNOPERATION     NCLOB,
   FRUNVALUE            NCLOB,
   FRUNOPERATION        NCLOB,
   FTAKEVALUE           NCLOB,
   FTAKEOPERATION       NCLOB
);
 EXEC P_ALTERPK 'PK_T_EB_CONPROCESSDATAENTRY', 'T_EB_CONPROCESSDATAENTRY', 'FENTRYID', '1';

/*==============================================================*/
/* Index: IDX_eb_conprodaentry_ftype                            */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_CONPRODAENTRY_FTYPE')
CREATE INDEX IDX_EB_CONPRODAENTRY_FTYPE ON T_EB_CONPROCESSDATAENTRY (
FBILLNAME ASC
);

/*==============================================================*/
/* Table: T_EB_ControlProSettings                               */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CONTROLPROSETTINGS') 
CREATE TABLE T_EB_CONTROLPROSETTINGS (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FCREATOR             BIGINT               NOT NULL DEFAULT 0,
   FCREATETIME          DATETIME             ,
   FMODIFIER            BIGINT               NOT NULL DEFAULT 0,
   FMODIFIERTIME        DATETIME             ,
   FNAME                NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FDESCRIPTION         NVARCHAR(200)        NOT NULL DEFAULT ' '
);
 EXEC P_ALTERPK 'PK_T_EB_CONTROLPROSETTINGS', 'T_EB_CONTROLPROSETTINGS', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_CONTROLPRO_FNAME                               */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_CONTROLPRO_FNAME')
CREATE INDEX IDX_EB_CONTROLPRO_FNAME ON T_EB_CONTROLPROSETTINGS (
FNAME ASC
);

/*==============================================================*/
/* Table: T_EB_ControlProcessData                               */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CONTROLPROCESSDATA') 
CREATE TABLE T_EB_CONTROLPROCESSDATA (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FMODIFIER            BIGINT               NOT NULL DEFAULT 0,
   FMODIFIERTIME        DATETIME             NULL,
   FSETTING             BIGINT               NOT NULL DEFAULT 0,
   FADMINORG            BIGINT               NOT NULL DEFAULT 0,
   FEXPENSEITEM         NCLOB,
   FPAGEID              NVARCHAR(100)        NOT NULL DEFAULT ' '
);
 EXEC P_ALTERPK 'PK_T_EB_CONTROLPROCESSDATA', 'T_EB_CONTROLPROCESSDATA', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_PROCESSDATA_ORG                                */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_PROCESSDATA_ORG')
CREATE INDEX IDX_EB_PROCESSDATA_ORG ON T_EB_CONTROLPROCESSDATA (
FADMINORG ASC
);

/*==============================================================*/
/* Table: T_EB_ControlProcessEntry                              */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CONTROLPROCESSENTRY') 
CREATE TABLE T_EB_CONTROLPROCESSENTRY (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FISTHESAME           CHAR(1)              NOT NULL DEFAULT '1',
   FRETURNOPERATION     NCLOB,
   FRUNVALUE            NCLOB,
   FRUNOPERATION        NCLOB,
   FTAKEVALUE           NCLOB,
   FTAKEOPERATION       NCLOB,
   FBILLNAME            BIGINT               NOT NULL DEFAULT 0,
   FSETTINGID           BIGINT               NOT NULL DEFAULT 0,
   FCLEAROPERATION      NCLOB
);
 EXEC P_ALTERPK 'PK_T_EB_CONTROLPROCESSENTRY', 'T_EB_CONTROLPROCESSENTRY', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_CONTROLENTRY_SETTING                           */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_CONTROLENTRY_SETTING')
CREATE INDEX IDX_EB_CONTROLENTRY_SETTING ON T_EB_CONTROLPROCESSENTRY (
FISTHESAME ASC
);

/*==============================================================*/
/* Table: T_EB_ControlProcessSet                                */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CONTROLPROCESSSET') 
CREATE TABLE T_EB_CONTROLPROCESSSET (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FCREATOR             BIGINT               NOT NULL DEFAULT 0,
   FCREATETIME          DATETIME             ,
   FMODIFIER            BIGINT               NOT NULL DEFAULT 0,
   FMODIFIERTIME        DATETIME             ,
   FPARAS               BIGINT               NOT NULL DEFAULT 0,
   FEXPENSEITEM         BIGINT               NOT NULL DEFAULT 0,
   FADMINORG            BIGINT               NOT NULL DEFAULT 0
);
 EXEC P_ALTERPK 'PK_T_EB_CONTROLPROCESSSET', 'T_EB_CONTROLPROCESSSET', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_CONTROLPRO_ITEMORG                             */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_CONTROLPRO_ITEMORG')
CREATE INDEX IDX_EB_CONTROLPRO_ITEMORG ON T_EB_CONTROLPROCESSSET (
FADMINORG ASC
);

/*==============================================================*/
/* Table: T_EB_ControlRuleAllot                                 */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CONTROLRULEALLOT') 
CREATE TABLE T_EB_CONTROLRULEALLOT (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FALLOTEDORGID        BIGINT               NOT NULL DEFAULT 0,
   FALLOTTIME           DATETIME             NULL,
   FCONTROLRULEMAINID   BIGINT               NOT NULL DEFAULT 0
);
 EXEC P_ALTERPK 'PK_T_EB_CONTROLRULEALLOT', 'T_EB_CONTROLRULEALLOT', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_controlruleallot_rule                          */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_CONTROLRULEALLOT_RULE')
CREATE INDEX IDX_EB_CONTROLRULEALLOT_RULE ON T_EB_CONTROLRULEALLOT (
FALLOTEDORGID ASC,
FCONTROLRULEMAINID ASC
);

/*==============================================================*/
/* Table: T_EB_ControlRuleGroup                                 */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CONTROLRULEGROUP') 
CREATE TABLE T_EB_CONTROLRULEGROUP (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FNAME                NVARCHAR(100)        NOT NULL DEFAULT ' ',
   FSEQ                 BIGINT               NOT NULL DEFAULT 0
);
 EXEC P_ALTERPK 'PK_T_EB_CONTROLRULEGROUP', 'T_EB_CONTROLRULEGROUP', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_ControlRuleGroup                               */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_CONTROLRULEGROUP')
CREATE INDEX IDX_EB_CONTROLRULEGROUP ON T_EB_CONTROLRULEGROUP (
FNAME ASC
);

/*==============================================================*/
/* Table: T_EB_ControlRuleHead                                  */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CONTROLRULEHEAD') 
CREATE TABLE T_EB_CONTROLRULEHEAD (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FMODELID             BIGINT               NOT NULL DEFAULT 0,
   FACCOUNTID           BIGINT               NOT NULL DEFAULT 0,
   FSCENARIOID          BIGINT               NOT NULL DEFAULT 0
);
 EXEC P_ALTERPK 'PK_T_EB_CONTROLRULEHEAD', 'T_EB_CONTROLRULEHEAD', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_controlrulehead_md_sed                         */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_CONTROLRULEHEAD_MD_SED')
CREATE INDEX IDX_EB_CONTROLRULEHEAD_MD_SED ON T_EB_CONTROLRULEHEAD (
FMODELID ASC,
FACCOUNTID ASC
);

/*==============================================================*/
/* Table: T_EB_ControlRuleMain                                  */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CONTROLRULEMAIN') 
CREATE TABLE T_EB_CONTROLRULEMAIN (
   FENTRYID             BIGINT               NOT NULL DEFAULT 0,
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FSEQ                 BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINEDID1      BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINEDID2      BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINEDID3      BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINEDID4      BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINEDID5      BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINEDID6      BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINEDID7      BIGINT               NOT NULL DEFAULT 0,
   FISBEYOND            CHAR(1)              NOT NULL DEFAULT '1',
   FCOEFFICIENT         DECIMAL(23,10)       NOT NULL DEFAULT 0,
   FPERIODCLASSIFY      NVARCHAR(10)         NOT NULL DEFAULT ' ',
   FCONTROLTYPE         NVARCHAR(10)         NOT NULL DEFAULT ' ',
   FCREATORID           BIGINT               NOT NULL DEFAULT 0,
   FCREATETIME          DATETIME             ,
   FSHOWORGRANGE        NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FGROUPID             BIGINT               NULL
);


/*==============================================================*/
/* Index: IDX_EB_controlrulemain_fid                            */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_CONTROLRULEMAIN_FID')
CREATE INDEX IDX_EB_CONTROLRULEMAIN_FID ON T_EB_CONTROLRULEMAIN (
FID ASC
);

/*==============================================================*/
/* Table: T_EB_ControlVersion                                   */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CONTROLVERSION') 
CREATE TABLE T_EB_CONTROLVERSION (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FMODEL               BIGINT               NOT NULL DEFAULT 0,
   FSCENARIO            BIGINT               NOT NULL DEFAULT 0,
   FVERSION             BIGINT               NOT NULL DEFAULT 0,
   FEFFECTIVETIME       DATETIME             ,
   FINVALIDTIME         DATETIME             ,
   FDISCRIPTION         NCLOB,
   FCREATOR             BIGINT               NOT NULL DEFAULT 0,
   FCREATETIME          DATETIME             ,
   FMODIFIER            BIGINT               NOT NULL DEFAULT 0,
   FMODIFIERTIME        DATETIME             ,
   FACTUALVERSION       BIGINT               NOT NULL DEFAULT 0
);
 EXEC P_ALTERPK 'PK_T_EB_CONTROLVERSION', 'T_EB_CONTROLVERSION', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_CVERSION_Fscenario                             */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_CVERSION_FSCENARIO')
CREATE INDEX IDX_EB_CVERSION_FSCENARIO ON T_EB_CONTROLVERSION (
FSCENARIO ASC
);

/*==============================================================*/
/* Table: T_EB_CostType                                         */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_COSTTYPE') 
CREATE TABLE T_EB_COSTTYPE (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FTYPENAME            NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FDIVIDEWAY           NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FDIMSIONID           BIGINT               NOT NULL DEFAULT 0,
   FDIMMEMBERID         BIGINT               NOT NULL DEFAULT 0,
   FENTRYATTID          BIGINT               NOT NULL DEFAULT 0,
   FENTRYDEFID          BIGINT               NOT NULL DEFAULT 0,
   FDIVIDEGIST          NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FMODEL               BIGINT               NOT NULL DEFAULT 0,
   FACCOUNTNAME         NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FCREATER             BIGINT               NOT NULL DEFAULT 0
);
 EXEC P_ALTERPK 'PK_T_EB_COSTTYPE', 'T_EB_COSTTYPE', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_costtype_model                                 */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_COSTTYPE_MODEL')
CREATE INDEX IDX_EB_COSTTYPE_MODEL ON T_EB_COSTTYPE (
FMODEL ASC
);

/*==============================================================*/
/* Table: T_EB_DimMemberMapping                                 */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_DIMMEMBERMAPPING') 
CREATE TABLE T_EB_DIMMEMBERMAPPING (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FNUMBER              NVARCHAR(100)        NOT NULL DEFAULT ' ',
   FCREATORID           BIGINT               NOT NULL DEFAULT 0,
   FMODIFIERID          BIGINT               NOT NULL DEFAULT 0,
   FCREATETIME          DATETIME             ,
   FMODIFYTIME          DATETIME             ,
   FMODEL               BIGINT               NOT NULL DEFAULT 0,
   FBUSINESSBASEDATA    NVARCHAR(100)        NOT NULL DEFAULT ' ',
   FDIM                 NVARCHAR(100)        NOT NULL DEFAULT ' ',
   FSTATUS              CHAR(1)              NOT NULL DEFAULT ' ',
   FENABLE              CHAR(1)              NOT NULL DEFAULT ' ',
   FDIMNAME             NVARCHAR(100)        NOT NULL DEFAULT ' '
);
 EXEC P_ALTERPK 'PK_T_EB_DIMMEMBERMAPPING', 'T_EB_DIMMEMBERMAPPING', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_dimmapping_NUMBER                              */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_DIMMAPPING_NUMBER')
CREATE INDEX IDX_EB_DIMMAPPING_NUMBER ON T_EB_DIMMEMBERMAPPING (
FNUMBER ASC
);

/*==============================================================*/
/* Table: T_EB_DimMemberMapping_L                               */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_DIMMEMBERMAPPING_L') 
CREATE TABLE T_EB_DIMMEMBERMAPPING_L (
   FPKID                NVARCHAR(30)         NOT NULL DEFAULT ' ',
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FLOCALEID            NVARCHAR(10)         NOT NULL DEFAULT ' ',
   FNAME                NVARCHAR(200)        NOT NULL DEFAULT ' '
);
 EXEC P_ALTERPK 'PK_T_EB_DIMMEMBERMAPPING_L', 'T_EB_DIMMEMBERMAPPING_L', 'FPKID', '1';

/*==============================================================*/
/* Index: IDX_EB_DIMMAPPING_L_NAME                              */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_DIMMAPPING_L_NAME')
CREATE INDEX IDX_EB_DIMMAPPING_L_NAME ON T_EB_DIMMEMBERMAPPING_L (
FNAME ASC
);

/*==============================================================*/
/* Table: T_EB_DimmateRule                                      */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_DIMMATERULE') 
CREATE TABLE T_EB_DIMMATERULE (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FMODELID             BIGINT               NOT NULL DEFAULT 0
);
 EXEC P_ALTERPK 'PK_T_EB_DIMMATERULE', 'T_EB_DIMMATERULE', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_MATERULE_CREATBILL                             */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_MATERULE_CREATBILL')
CREATE INDEX IDX_EB_MATERULE_CREATBILL ON T_EB_DIMMATERULE (
FMODELID ASC
);

/*==============================================================*/
/* Table: T_EB_DimmateRuleApp                                   */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_DIMMATERULEAPP') 
CREATE TABLE T_EB_DIMMATERULEAPP (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FENTRYID             BIGINT               NOT NULL DEFAULT 0,
   FAPPLICATION         BIGINT               NOT NULL DEFAULT 0,
   FSEQ                 INT                  NOT NULL DEFAULT 0
);
 EXEC P_ALTERPK 'PK_T_EB_DIMMATERULEAPP', 'T_EB_DIMMATERULEAPP', 'FENTRYID', '1';

/*==============================================================*/
/* Index: IDX_EB_Dimmateruleapp                                 */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_DIMMATERULEAPP')
CREATE INDEX IDX_EB_DIMMATERULEAPP ON T_EB_DIMMATERULEAPP (
FAPPLICATION ASC
);

/*==============================================================*/
/* Table: T_EB_DimmateRuleBill                                  */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_DIMMATERULEBILL') 
CREATE TABLE T_EB_DIMMATERULEBILL (
   FENTRYID             BIGINT               NOT NULL DEFAULT 0,
   FDETAILID            BIGINT               NOT NULL DEFAULT 0,
   FSEQ                 INT                  NOT NULL DEFAULT 0,
   FBILLID              BIGINT               NOT NULL DEFAULT 0,
   FNUMBER              NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FEFFECTIVETIME       DATETIME             ,
   FINVALIDTIME         DATETIME             ,
   FDISCRIPTION         NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FDISCRIPTION_TAG     NCLOB,
   FENTRYFIELDID        BIGINT               NOT NULL DEFAULT 0,
   FACCOUNTFIELDID      BIGINT               NOT NULL DEFAULT 0,
   FYEARFIELDID         BIGINT               NOT NULL DEFAULT 0,
   FCURRENCYFIELDID     BIGINT               NOT NULL DEFAULT 0,
   FPROJECTFIELDID      BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINED1FIELDID BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINED2FIELDID BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINED3FIELDID BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINED4FIELDID BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINED5FIELDID BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINED6FIELDID BIGINT               NOT NULL DEFAULT 0,
   FENTRYUSEMAP         CHAR(1)              NOT NULL DEFAULT '0',
   FACCOUNTUSEMAP       CHAR(1)              NOT NULL DEFAULT '0',
   FYEARUSEMAP          CHAR(1)              NOT NULL DEFAULT '0',
   FPROJECTUSEMAP       CHAR(1)              NOT NULL DEFAULT '0',
   FUSERDEFINED1USEMAP  CHAR(1)              NOT NULL DEFAULT '0',
   FUSERDEFINED2USEMAP  CHAR(1)              NOT NULL DEFAULT '0',
   FUSERDEFINED3USEMAP  CHAR(1)              NOT NULL DEFAULT '0',
   FUSERDEFINED4USEMAP  CHAR(1)              NOT NULL DEFAULT '0',
   FUSERDEFINED5USEMAP  CHAR(1)              NOT NULL DEFAULT '0',
   FUSERDEFINED6USEMAP  CHAR(1)              NOT NULL DEFAULT '0',
   FENTRYDIMSIONMAPID   BIGINT               NOT NULL DEFAULT 0,
   FACCOUNTDIMSIONMAPID BIGINT               NOT NULL DEFAULT 0,
   FYEARDIMSIONMAPID    BIGINT               NOT NULL DEFAULT 0,
   FPROJECTDIMSIONMAPID BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINED1DIMSIONMAPID BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINED2DIMSIONMAPID BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINED3DIMSIONMAPID BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINED4DIMSIONMAPID BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINED5DIMSIONMAPID BIGINT               NOT NULL DEFAULT 0,
   FUSERDEFINED6DIMSIONMAPID BIGINT               NOT NULL DEFAULT 0
);
 EXEC P_ALTERPK 'PK_T_EB_DIMMATERULEBILL', 'T_EB_DIMMATERULEBILL', 'FDETAILID', '1';

/*==============================================================*/
/* Index: IDX_EB_Dimmaterulebill                                */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_DIMMATERULEBILL')
CREATE INDEX IDX_EB_DIMMATERULEBILL ON T_EB_DIMMATERULEBILL (
FBILLID ASC
);

/*==============================================================*/
/* Table: T_EB_MemberMapping                                    */
/*==============================================================*/
/* 处理表结构变更 */
if exists (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_MEMBERMAPPING' AND KSQL_COL_NAME IN ('FBASEDATAFIELD')) 
drop table T_EB_MEMBERMAPPING;

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_MEMBERMAPPING') 
CREATE TABLE T_EB_MEMBERMAPPING (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FENTRYID             BIGINT               NOT NULL DEFAULT 0,
   FSEQ                 INT                  NOT NULL DEFAULT 0,
   FBIZMEMBERID       	BIGINT               NOT NULL DEFAULT 0,
   FBINUMBER	      	NVARCHAR(100)        NOT NULL DEFAULT ' ',
   FBIZNAME           	NVARCHAR(100)        NOT NULL DEFAULT ' ',
   FDIMMEMBERID			BIGINT  	     	 NOT NULL DEFAULT 0,
   FDIMMEMNUMBER      	NVARCHAR(100)        NOT NULL DEFAULT ' ',
   FDIMMEMNAME    		NVARCHAR(100)        NOT NULL DEFAULT ' ',
   FENTRYSTATUS         CHAR(1)              NOT NULL DEFAULT '1'
);
 EXEC P_ALTERPK 'PK_T_EB_MEMBERMAPPING', 'T_EB_MEMBERMAPPING', 'FENTRYID', '1';

/*==============================================================*/
/* Index: IDX_EB_membermapping_weidu                            */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_MEMBERMAPPING_WEIDU')
CREATE INDEX IDX_EB_MEMBERMAPPING_WEIDU ON T_EB_MEMBERMAPPING (
FDIMMEMNUMBER ASC
);

/*==============================================================*/
/* Table: T_EB_RuleControlDefault                               */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_RULECONTROLDEFAULT') 
CREATE TABLE T_EB_RULECONTROLDEFAULT (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FCONTROLTYPE         VARCHAR(50)          NOT NULL DEFAULT ' ',
   FCOEFFICIENT         DECIMAL(23,10)       NOT NULL DEFAULT 0,
   FMODELID             BIGINT               NOT NULL DEFAULT 0,
   FSCENARIOID          BIGINT               NOT NULL DEFAULT 0,
   FISBEYOND            CHAR(1)              NOT NULL DEFAULT '1',
   FPERIODCLASSIFY      VARCHAR(50)          NOT NULL DEFAULT ' ',
   FCREATORID           BIGINT               NOT NULL DEFAULT 0,
   FMODIFIERID          BIGINT               NOT NULL DEFAULT 0,
   FCREATETIME          DATETIME             ,
   FMODIFYTIME          DATETIME             ,
   FENABLE              CHAR(1)              NOT NULL DEFAULT '1'
);
 EXEC P_ALTERPK 'PK_T_EB_RULECONTROLDEFAULT', 'T_EB_RULECONTROLDEFAULT', 'FID', '1';

/*==============================================================*/
/* Index: IDX_eb_rulecontroldefault_ms                          */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_RULECONTROLDEFAULT_MS')
CREATE INDEX IDX_EB_RULECONTROLDEFAULT_MS ON T_EB_RULECONTROLDEFAULT (
FMODELID ASC,
FSCENARIOID ASC
);

/*==============================================================*/
/* Table: T_EB_StartParamter                                    */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_STARTPARAMTER') 
CREATE TABLE T_EB_STARTPARAMTER (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FBILLID              BIGINT               NOT NULL DEFAULT 0,
   FLONGNUMBER          NVARCHAR(200)        NOT NULL DEFAULT ' ',
   FORGNUMBER           NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FORGID               BIGINT               NOT NULL DEFAULT 0,
   FCREATORID           BIGINT               NOT NULL DEFAULT 0,
   FSHOWEBBALANCE       CHAR(1)              NOT NULL DEFAULT '0',
   FINFLUENTIAL         CHAR(1)              NOT NULL DEFAULT '0',
   FNUMBER              NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FORGNAME             NVARCHAR(200)        NOT NULL DEFAULT ' '
);
 EXEC P_ALTERPK 'PK_T_EB_STARTPARAMTER', 'T_EB_STARTPARAMTER', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_STARTPARAMTER_BILLID                           */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_STARTPARAMTER_BILLID')
CREATE INDEX IDX_EB_STARTPARAMTER_BILLID ON T_EB_STARTPARAMTER (
FBILLID ASC,
FORGID ASC,
FCREATORID ASC
);

/*==============================================================*/
/* Table: T_EB_StructOfBill                                     */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_STRUCTOFBILL') 
CREATE TABLE T_EB_STRUCTOFBILL (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FLONGNUMBER          NVARCHAR(200)        NOT NULL DEFAULT ' ',
   FMEMBERID            BIGINT               NOT NULL DEFAULT 0,
   FPARENTID            BIGINT               NOT NULL DEFAULT 0,
   FISLEAF              CHAR(1)              NOT NULL DEFAULT '0',
   FLEVEL               INT                  NOT NULL DEFAULT 0,
   FNUMBER              NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FMODELID             BIGINT               NOT NULL DEFAULT 0,
   FISDEFAULT           CHAR(1)              NOT NULL DEFAULT '0',
   FREFEREDSTATUS       CHAR(1)				 NOT NULL DEFAULT '0',
   FSTATUS              NVARCHAR(5)          NOT NULL DEFAULT ' ',
   FENABLE              CHAR(1)              NOT NULL DEFAULT '1',
   FDISABLERID          BIGINT               NOT NULL DEFAULT 0,
   FDISABLEDATE         DATETIME             ,
   FCREATORID           BIGINT               NOT NULL DEFAULT 0,
   FCREATETIME          DATETIME             ,
   FMODIFIERID          BIGINT               NOT NULL DEFAULT 0,
   FMODIFYTIME          DATETIME             ,
   FFIELDTABLE          NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FMASTERID            BIGINT               NOT NULL DEFAULT 0,
   FSEQ                 INT                  NOT NULL DEFAULT 0
);
 EXEC P_ALTERPK 'PK_T_EB_STRUCTOFBILL', 'T_EB_STRUCTOFBILL', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_STRUCTOFBILL_NUMBER                            */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_STRUCTOFBILL_NUMBER')
CREATE INDEX IDX_EB_STRUCTOFBILL_NUMBER ON T_EB_STRUCTOFBILL (
FNUMBER ASC
);

/*==============================================================*/
/* Table: T_EB_StructOfBill_L                                   */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_STRUCTOFBILL_L') 
CREATE TABLE T_EB_STRUCTOFBILL_L (
   FPKID                NVARCHAR(30)         NOT NULL DEFAULT ' ',
   FID                  BIGINT     			 NOT NULL DEFAULT 0,
   FLOCALEID            NVARCHAR(10)         NOT NULL DEFAULT ' ',
   FFULLNAME            NVARCHAR(255)        NOT NULL DEFAULT ' ',
   FNAME                NVARCHAR(100)        NOT NULL DEFAULT ' '
);
 EXEC P_ALTERPK 'PK_T_EB_STRUCTOFBILL_L', 'T_EB_STRUCTOFBILL_L', 'FPKID', '1';

/*==============================================================*/
/* Index: IDX_T_EB_Structofbill_L_FID                           */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_EB_STRUCTOFBILL_L_FID')
CREATE INDEX IDX_T_EB_STRUCTOFBILL_L_FID ON T_EB_STRUCTOFBILL_L (
FLOCALEID ASC
);

/*==============================================================*/
/* Table: T_EB_Task                                             */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_TASK') 
CREATE TABLE T_EB_TASK (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FNUMBER              NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FORGID               BIGINT               NOT NULL DEFAULT 0,
   FTASKLISTID          BIGINT               NOT NULL DEFAULT 0,
   FRELYTASKID          BIGINT               NOT NULL DEFAULT 0,
   FBEGINTIME           DATETIME             ,
   FUSETIME             INT                  NOT NULL DEFAULT 0,
   FDEADLINE            DATETIME             ,
   FCREATERID           BIGINT               NOT NULL DEFAULT 0,
   FCREATEDATE          DATETIME             ,
   FMODIFIERID          BIGINT               NOT NULL DEFAULT 0,
   FMODIFYDATE          DATETIME             ,
   FTASKSEQ             INT                  NOT NULL DEFAULT 0
);
 EXEC P_ALTERPK 'PK_T_EB_TASK', 'T_EB_TASK', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_TaskNumber                                     */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_TASKNUMBER')
CREATE INDEX IDX_EB_TASKNUMBER ON T_EB_TASK (
FNUMBER ASC
);

/*==============================================================*/
/* Table: T_EB_TaskDistOrg                                      */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_TASKDISTORG') 
CREATE TABLE T_EB_TASKDISTORG (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FTASKID              BIGINT               NOT NULL DEFAULT 0,
   FORGID               BIGINT               NOT NULL DEFAULT 0,
   FRANGEVALUE          INT                  NOT NULL DEFAULT 0,
   FCREATERID           BIGINT               NOT NULL DEFAULT 0,
   FCREATEDATE          DATETIME             ,
   FMODIFIER            BIGINT               NOT NULL DEFAULT 0,
   FMODIFYDATE          DATETIME             
);
 EXEC P_ALTERPK 'PK_T_EB_TASKDISTORG', 'T_EB_TASKDISTORG', 'FID', '1';

/*==============================================================*/
/* Index: IX_EB_TaskDistOrg                                     */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IX_EB_TASKDISTORG')
CREATE INDEX IX_EB_TASKDISTORG ON T_EB_TASKDISTORG (
FTASKID ASC
);

/*==============================================================*/
/* Table: T_EB_TaskList                                         */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_TASKLIST') 
CREATE TABLE T_EB_TASKLIST (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FNUMBER              NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FMODELID             BIGINT               NOT NULL DEFAULT 0,
   FYEARID              BIGINT               NOT NULL DEFAULT 0,
   FDATETYPEID          BIGINT               NOT NULL DEFAULT 0,
   FCREATERID           BIGINT               NOT NULL DEFAULT 0,
   FCREATEDATE          DATETIME             ,
   FMODIFIERFIELD       BIGINT               NOT NULL DEFAULT 0,
   FMODIFYDATE          DATETIME             ,
   FORGID               BIGINT               NOT NULL DEFAULT 0,
   FSTATE               CHAR(1)              NOT NULL DEFAULT '0'
);
 EXEC P_ALTERPK 'PK_T_EB_TASKLIST', 'T_EB_TASKLIST', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_TaskList                                       */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_TASKLIST')
CREATE INDEX IDX_EB_TASKLIST ON T_EB_TASKLIST (
FNUMBER ASC
);

/*==============================================================*/
/* Table: T_EB_TaskList_L                                       */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_TASKLIST_L') 
CREATE TABLE T_EB_TASKLIST_L (
   FPKID                NVARCHAR(30)         NOT NULL DEFAULT ' ',
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FLOCALEID            NVARCHAR(10)         NOT NULL DEFAULT ' ',
   FNAME                NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FDESCRIPTION         NVARCHAR(255)        NOT NULL DEFAULT ' '
);
 EXEC P_ALTERPK 'PK_T_EB_TASKLIST_L', 'T_EB_TASKLIST_L', 'FPKID', '1';

/*==============================================================*/
/* Index: IX_EB_TaskList_L                                      */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IX_EB_TASKLIST_L')
CREATE INDEX IX_EB_TASKLIST_L ON T_EB_TASKLIST_L (
FID ASC
);

/*==============================================================*/
/* Table: T_EB_TASKRELY                                         */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_TASKRELY') 
CREATE TABLE T_EB_TASKRELY (
   FPKID                BIGINT               NOT NULL DEFAULT 0,
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FBASEDATAID          BIGINT               NOT NULL DEFAULT 0
);
 EXEC P_ALTERPK 'PK_T_EB_TASKRELY', 'T_EB_TASKRELY', 'FPKID', '1';

/*==============================================================*/
/* Index: IDX_EB_TaskRaly                                       */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_TASKRELY')
CREATE INDEX IDX_EB_TASKRELY ON T_EB_TASKRELY (
FID ASC
);

/*==============================================================*/
/* Table: T_EB_TaskRefTemplate                                  */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_TASKREFTEMPLATE') 
CREATE TABLE T_EB_TASKREFTEMPLATE (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FENTRYID             BIGINT               NOT NULL DEFAULT 0,
   FTEMPLATEID          BIGINT               NOT NULL DEFAULT 0
);
 EXEC P_ALTERPK 'PK_T_EB_TASKREFTEMPLATE', 'T_EB_TASKREFTEMPLATE', 'FENTRYID', '1';

/*==============================================================*/
/* Index: IDX_EB_TaskRefTemplate                                */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_TASKREFTEMPLATE')
CREATE INDEX IDX_EB_TASKREFTEMPLATE ON T_EB_TASKREFTEMPLATE (
FID ASC
);

/*==============================================================*/
/* Table: T_EB_Task_L                                           */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_TASK_L') 
CREATE TABLE T_EB_TASK_L (
   FPKID                NVARCHAR(30)         NOT NULL DEFAULT ' ',
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FLOCALEID            NVARCHAR(10)         NOT NULL DEFAULT ' ',
   FNAME                NVARCHAR(50)         NOT NULL DEFAULT ' ',
   FDESCRIPTION         NVARCHAR(255)        NOT NULL DEFAULT ' '
);
 EXEC P_ALTERPK 'PK_T_EB_TASK_L', 'T_EB_TASK_L', 'FPKID', '1';

/*==============================================================*/
/* Index: IDX_EB_Task_L                                         */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_TASK_L')
CREATE INDEX IDX_EB_TASK_L ON T_EB_TASK_L (
FID ASC
);

/*==============================================================*/
/* Table: T_EB_Transaction                                      */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_TRANSACTION') 
CREATE TABLE T_EB_TRANSACTION (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FCOUNT               BIGINT               NOT NULL DEFAULT 0
);
 EXEC P_ALTERPK 'PK_T_EB_TRANSACTION', 'T_EB_TRANSACTION', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_Transaction_COUNT                              */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_TRANSACTION_COUNT')
CREATE INDEX IDX_EB_TRANSACTION_COUNT ON T_EB_TRANSACTION (
FCOUNT ASC
);

