
/*==============================================================*/
/* Table: t_eb_examine_report                                      */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_EXAMINE_REPORT') 
CREATE TABLE T_EB_EXAMINE_REPORT (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FNUMBER              NVARCHAR(2000)       NOT NULL DEFAULT ' ',
   FCREATEDATE          DATETIME             ,
   FMODELID             BIGINT               NOT NULL DEFAULT 0,
   FDATASETID           BIGINT               NOT NULL DEFAULT 0,
   FEXANNOTATION    	BIGINT               NOT NULL DEFAULT 0,
   FREPORTPROCESS    	BIGINT               NOT NULL DEFAULT 0,
   FTEMPLATE    		BIGINT               NOT NULL DEFAULT 0,
   FCREATER    		BIGINT               NOT NULL DEFAULT 0,
   FEXECUTETYPE    VARCHAR(50)          NOT NULL DEFAULT ' ',
   FCHECKRESULT    VARCHAR(50)          NOT NULL DEFAULT ' ',
   FCHECKRANGE       	NCLOB
);

 EXEC P_ALTERPK 'PK_EB_EXAMINE_REPORT', 'T_EB_EXAMINE_REPORT', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_EXAMINE_REPORT_P1                                    */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_EXAMINE_REPORT_P1')
CREATE INDEX IDX_EB_EXAMINE_REPORT_P1 ON T_EB_EXAMINE_REPORT (
FMODELID,FDATASETID ASC
);

/*==============================================================*/
/* Index: IDX_EB_EXAMINE_REPORT_P2                                    */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_EXAMINE_REPORT_P2')
CREATE INDEX IDX_EB_EXAMINE_REPORT_P2 ON T_EB_EXAMINE_REPORT (
FREPORTPROCESS ASC
);

/*==============================================================*/
/* Index: IDX_EB_EXAMINE_REPORT_P3                                    */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_EXAMINE_REPORT_P3')
CREATE INDEX IDX_EB_EXAMINE_REPORT_P3 ON T_EB_EXAMINE_REPORT (
FTEMPLATE ASC
);


/*==============================================================*/
/* Table: t_eb_examine_reportdetail                                      */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_EXAMINE_REPORTDETAIL') 
CREATE TABLE T_EB_EXAMINE_REPORTDETAIL (
   FENTRYID             BIGINT               NOT NULL DEFAULT 0,
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FSEQ                 BIGINT               NOT NULL DEFAULT 0,
   FEXAMINEID           BIGINT               NOT NULL DEFAULT 0,
   FCHECKRESUTDETAIL    VARCHAR(50)          NOT NULL DEFAULT ' ',
   FOTHERINFO       NCLOB
);

 EXEC P_ALTERPK 'PK_EB_EXAMINE_REPORTDETAIL', 'T_EB_EXAMINE_REPORTDETAIL', 'FENTRYID', '1';

/*==============================================================*/
/* Index: IDX_EB_EXAMINE_REPORTDE_P1                                    */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_EXAMINE_REPORTDE_P1')
CREATE INDEX IDX_EB_EXAMINE_REPORTDE_P1 ON T_EB_EXAMINE_REPORTDETAIL (
FID ASC
);

/*==============================================================*/
/* Index: IDX_EB_EXAMINE_REPORTDE_P2                                   */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_EXAMINE_REPORTDE_P2')
CREATE INDEX IDX_EB_EXAMINE_REPORTDE_P2 ON T_EB_EXAMINE_REPORTDETAIL (
FEXAMINEID ASC
);

/*==============================================================*/
/* Table: T_EB_EXAMINE_ANNOTATION   勾稽批注                          */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_EXAMINE_ANNOTATION') 
CREATE TABLE T_EB_EXAMINE_ANNOTATION (
   FID             		BIGINT               NOT NULL DEFAULT 0,
   FMODEL               BIGINT               NOT NULL DEFAULT 0,
   FREPORTPROCESS       BIGINT               NOT NULL DEFAULT 0,
   FMODIFIER            BIGINT               NOT NULL DEFAULT 0,
   FMODIFYDATE    		DATETIME,
   FREMARK       		VARCHAR(255)			 NOT NULL DEFAULT ' '	
);


/*==============================================================*/
/* Index: IDX_EB_EXAMINE_ANNOTATION_P2                                  */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_EXAMINE_ANNOTATION_P2')
CREATE INDEX IDX_EB_EXAMINE_ANNOTATION_P2 ON T_EB_EXAMINE_ANNOTATION (
FMODEL,FREPORTPROCESS ASC
);

/*==============================================================*/
/* Table: T_EB_EXAMINECATEGORY   勾稽关系分类增加字段范围维度信息    */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_EXAMINECATEGORY' AND KSQL_COL_NAME IN ('FRANGEDIMINFO')) 
 ALTER TABLE T_EB_EXAMINECATEGORY ADD (FRANGEDIMINFO NCLOB );
 
/*==============================================================*/
/* Table: T_EB_EXAMINE_MEMBERSCOPE   勾稽关系分类子表（范围维度信息）    */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_EXAMINE_MEMBERSCOPE') 
CREATE TABLE T_EB_EXAMINE_MEMBERSCOPE (
   FID             		BIGINT               NOT NULL DEFAULT 0,
   FENTRYID             BIGINT               NOT NULL DEFAULT 0,
   FSEQ       			INT               	 NOT NULL DEFAULT 0,
   FMEMBERSCOPE         NCLOB,
   FDIMNAME          	VARCHAR(50)          NOT NULL DEFAULT ' ',
   FDIMNUMBER           VARCHAR(50)          NOT NULL DEFAULT ' ',
   FSCOPEMODIFIER		BIGINT               NOT NULL DEFAULT 0,
   FSCOPEMODIFYTIME     DATETIME	
);

/*==============================================================*/
/* Index: IDX_EB_EXAMINE_MEMBERSCOPE_P1                                  */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_EXAMINE_MEMBERSCOPE_P1')
CREATE INDEX IDX_EB_EXAMINE_MEMBERSCOPE_P1 ON T_EB_EXAMINE_MEMBERSCOPE (
FID ASC
);

/*==============================================================*/
/* Index: IDX_EB_EXAMINE_MEMBERSCOPE_P2                                  */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_EXAMINE_MEMBERSCOPE_P2')
CREATE INDEX IDX_EB_EXAMINE_MEMBERSCOPE_P2 ON T_EB_EXAMINE_MEMBERSCOPE (
FDIMNUMBER ASC
);

/*==============================================================*/
/* Table: T_EB_EXAMINE_RELATION  勾稽关系所属分组表                             */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_EXAMINE_RELATION') 
CREATE TABLE T_EB_EXAMINE_RELATION (
   FID             	BIGINT               NOT NULL DEFAULT 0,
   FPKID            BIGINT               NOT NULL DEFAULT 0,
   FBASEDATAID      BIGINT               NOT NULL DEFAULT 0
);



